package com.greenorange.promotion.constant;

import java.math.BigDecimal;

public interface SystemConstant {

    /**
     * 验证码
     */
    String VERIFICATION_CODE = "verificationCode";


    /**
     * 文件公共前缀
     */
    String FILE_COMMON_PREFIX = "http://160.202.242.36:9091/file/download/";


    /**
     * 默认头像view值
     */
    String DEFAULT_AVATAR_VIEW = "default-QU7P9SD5";


    /**
     * 一级抽成比例
     */
    BigDecimal FIRST_LEVEL_COMMISSION_RATE = new BigDecimal("0.02");


    /**
     * 二级抽成比例
     */
    BigDecimal SECOND_LEVEL_COMMISSION_RATE = new BigDecimal("0.03");


    /**
     * 退款比例
     */
    BigDecimal REFUND_RATE = new BigDecimal("0.8");


    /**
     * 手续费比例
     */
    BigDecimal FEE_RATE = new BigDecimal("0.2");

}
